Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model
Class Diagram

    |
    +--ru.biosoft.access.MutableDataElementSupport
      |
      +--biouml.model.DiagramElement
            |
            +--biouml.model.Node
                  |
                  +--biouml.model.Compartment
                        |
                        +--biouml.model.Diagram

public class Diagram
extends Compartment
implements PropertyChangeListener

Fields inherited from class biouml.model.Compartment
`SHAPE_ELLIPSE, SHAPE_RECTANGLE, SHAPE_ROUND_RECTANGLE`

Fields inherited from class biouml.model.Node
`background`

Constructor Summary
`Diagram(DataCollection origin, Base kernel, DiagramType type)` Creates the diagram of the specified type.

Method Summary
`DiagramElement` | `clone(DataCollection origin, String newName)`
`static Diagram` | `createDiagram(DiagramType type, String diagramName, DataCollection origin)`
`DiagramFilter` | `getFilter()`
`DiagramType` | `getType()`
`DiagramViewOptions` | `getViewOptions()`
`void` | `propertyChange(PropertyChangeEvent pce)`
`void` | `setDiagramFilter(DiagramFilter filter)`
`void` | `setKernel(Base newKernel)`
`void` | `setViewOptions(DiagramViewOptions options)`

Methods inherited from class biouml.model.Compartment
`addDataCollectionListener, clone, close, contains, contains, containsKernel, findNode, get, getCompleteName, getDataElementType, getInfo, getKernelNodes, getNameList, getShapeColor, getShapeType, getSize, init, isMutable, iterator, moveNodes, propagateElementChanged, propagateElementWillChange, put, release, remove, removeDataCollectionListener, setNotificationEnabled, setPropagationEnabled, setShapeColor, setShapeType`

Methods inherited from class biouml.model.Node
`addEdge, edgeIterator, findCommonOrigin, getBackground, getEdges, getImage, getLocation, getShapeSize, isBackgroundHidden, isFixed, isNotResizable, removeEdge, setBackground, setFixed, setImage, setLocation, setLocation, setRelativeLocation, setShapeSize`

Methods inherited from class biouml.model.DiagramElement
`getComment, getKernel, getRole, getTitle, getView, isKernelHidden, isRoleHidden, setComment, setRole, setTitle, setView`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Constructor Detail

### Diagram

    public Diagram(DataCollection origin, Base kernel, DiagramType type)
              throws java.lang.Exception

  Creates the diagram of the specified type.
  Parameters:
    type - the diagram type.

Method Detail

### clone

    public DiagramElement clone(DataCollection origin, String newName)
                          throws java.lang.Exception

### createDiagram

    public static Diagram createDiagram(DiagramType type, String diagramName, DataCollection origin)
                                  throws java.lang.Exception,
                                         java.lang.IllegalAccessException

  pending remove dependency from PathwaySimulationDiagramType and EModel

### getFilter

    public DiagramFilter getFilter()

### getType

    public DiagramType getType()

### getViewOptions

    public DiagramViewOptions getViewOptions()

### propertyChange

    public void propertyChange(PropertyChangeEvent pce)

  todo implement

### setDiagramFilter

    public void setDiagramFilter(DiagramFilter filter)

### setKernel

    public void setKernel(Base newKernel)

### setViewOptions

    public void setViewOptions(DiagramViewOptions options)

Association Links

to Class org.apache.log4j.Category

to Class biouml.model.DiagramType

to Class biouml.model.DiagramViewOptions

to Class biouml.model.DiagramFilter

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM